Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class RequestContext

    java.lang.Object
      juzu.request.RequestContext

Direct Known Subclasses:
  ActionContext, EventContext, MimeContext

    public abstract class RequestContext

extends Object

Author:
  Julien Viet

Constructor Summary
`RequestContext(juzu.impl.request.Request request, juzu.impl.plugin.application.Application application, juzu.impl.request.Method method)`

Method Summary
`Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.Method<Phase.Action> method)`
`Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.Method<Phase.Action> method, Object arg)`
`Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.Method<Phase.Action> method, Object[] args)`
`Dispatch` | `createDispatch(juzu.impl.request.Method<?> method)` Create a dispatch object with unset parameters.
`Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method)`
`Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method, Object arg)`
`Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method, Object[] args)`
`Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.Method<Phase.View> method)`
`Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.Method<Phase.View> method, Object arg)`
`Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.Method<Phase.View> method, Object[] args)`
`juzu.impl.plugin.application.Application` | `getApplication()`
`ApplicationContext` | `getApplicationContext()`
`HttpContext` | `getHttpContext()`
`juzu.impl.request.Method` | `getMethod()`
`Map<String,String[]>` | `getParameters()`
`abstract Phase` | `getPhase()`
`
`<T> T`
` | `getProperty(PropertyType<T> propertyType)`
`SecurityContext` | `getSecurityContext()`
`UserContext` | `getUserContext()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContext

    public RequestContext(juzu.impl.request.Request request,
                          juzu.impl.plugin.application.Application application,
                          juzu.impl.request.Method method)

Method Detail

### getApplication

    public juzu.impl.plugin.application.Application getApplication()

### getMethod

    public juzu.impl.request.Method getMethod()

### getParameters

    public Map<String,String[]> getParameters()

### getHttpContext

    public HttpContext getHttpContext()

### getSecurityContext

    public SecurityContext getSecurityContext()

### getUserContext

    public UserContext getUserContext()

### getApplicationContext

    public ApplicationContext getApplicationContext()

### getProperty

    public <T> T getProperty(PropertyType<T> propertyType)

### getPhase

    public abstract Phase getPhase()

### createDispatch

    public Dispatch createDispatch(juzu.impl.request.Method<?> method)

  Create a dispatch object with unset parameters.

  Parameters:
    `method` - the method descriptor
  Returns:
    the corresponding dispatch object

### createActionDispatch

    public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.Method<Phase.Action> method)

### createActionDispatch

    public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.Method<Phase.Action> method,
                                                      Object arg)

### createActionDispatch

    public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.Method<Phase.Action> method,
                                                      Object[] args)

### createViewDispatch

    public Phase.View.Dispatch createViewDispatch(juzu.impl.request.Method<Phase.View> method)

### createViewDispatch

    public Phase.View.Dispatch createViewDispatch(juzu.impl.request.Method<Phase.View> method,
                                                  Object arg)

### createViewDispatch

    public Phase.View.Dispatch createViewDispatch(juzu.impl.request.Method<Phase.View> method,
                                                  Object[] args)

### createResourceDispatch

    public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method)

### createResourceDispatch

    public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method,
                                                          Object arg)

### createResourceDispatch

    public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method,
                                                          Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.